function getElement(id) {
    if (document.getElementById)
        return document.getElementById(id);
    else
        return document.all[id];
}

function selectVersion(version) {
    var url = window.location.href;
    var idx = url.indexOf("?");
    if (idx > 0) {
        url = url.substring(0, idx) + "?version=" + version;
    } else {
        url = url + "?version=" + version;
    }
    window.location.href = url;
}

var displayedItem = null;
function showItem(event, id) {
    if (event == null && window.event != null) {
        event = window.event;
    }
    if (displayedItem != null) {
        displayedItem.style.display = "none";
    }

    var item = getElement(id);
    displayedItem = null;
    if (item != null) {
        item.style.left = event.clientX + document.body.scrollLeft + 'px';
        item.style.top = event.clientY + document.body.scrollTop + 'px';
        item.style.position = 'absolute';
        item.style.display = 'block';
        displayedItem = item;
    }

    event.cancelBubble = true;
    if (event.stopPropagation) {
        event.stopPropagation();
    }
    return false;
}

function showDesc(event, id) {
    return showItem(event, "desc_" + id);
}

function showDeps(event, id) {
    return showItem(event, "deps_" + id);
}

function hideAll() {
    if (displayedItem != null) {
        displayedItem.style.display = "none";
        displayedItem = null;
    }
}
